[package]
name = "oddjobs_renderer"
version = "0.0.3"
authors = ["deer <deer@codeberg.org>"]
edition = "2021"
description = "Renderer for the website of Oddjobs"
repository = "https://codeberg.org/oddjobs/pages"
readme = "README.md"
keywords = ["maplestory", "markdown", "json", "challenge run"]
categories = ["games"]
license = "AGPL-3.0-or-later"

[dependencies]
serde = { version = "1.0.197", features = ["derive"] }
serde_json = "1.0.114"
toml = "0.8.12"

[dependencies.pulldown-cmark]
version = "0.10.0"
default-features = false
features = ["simd"]

[profile.release]
opt-level = 3
debug = false
rpath = false
lto = "fat"
debug-assertions = false
codegen-units = 1
panic = "abort"
incremental = false
overflow-checks = false
